getSessionPost
POST
/api/auth/get-session
const url = 'https://example.com/api/auth/get-session';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/auth/get-session \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'Get the current session
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
Examplegenerated
{}Responses
Section titled “Responses”Success
Media typeapplication/json
object
session
required
object
id
required
string
expiresAt
required
string format: date-time
token
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
ipAddress
string
userAgent
string
userId
required
string
twoFactorVerified
boolean
user
required
object
id
required
string
name
required
string
email
required
string
emailVerified
required
boolean
image
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
twoFactorEnabled
boolean
Example
{ "session": { "twoFactorVerified": false }, "user": { "emailVerified": false, "twoFactorEnabled": false }}Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}